<?php
/**
 *
 * $Revision: 1.0 $
 * $Author: TerraProject $
 * $Date: 2012/11/06  $
 *
 */

defined('mxMainFileLoaded') or die('access denied');

/* --------- Konfiguration fuer den Block ----------------------------------- */

/* 
	erzeugt einen QR-Code aus dem einzugebenden Text
	dieser Service wird kostenlos von http://qrserver.com/ bereitgestellt. 
	Dieser Block nutzt die API von http://qrserver.com/api/
	*/

/* URL 
	standard= Basis-URL der Seite 
	kann beliebig verndert werden.
	z. Bsp. http://www.pragma.mx.org
	*/

//$qrcurl="http://www.pragma.mx.org";

$qrcurl=PMX_HOME_URL;

/* breite in px */
$qrcsize="100";

/* Titel */
$qrctitle="";

/* color 
		Gltige Beispiele:
		255-0-0 (rot),
		f00 (rot),
		FF0000 (rot),
		0-255-0 (grn),
		0f0 (grn),
		00ff00 (grn),
		0-0-255 (blau),
		00f (blau),
		0000ff (blau),
		556B2F (DarkOliveGreen)
*/
$qrccolor="000";
$qrcbgcolor="FFF";

/* ecc-Parameter
Speichert den Fehlerkorrektur-Code (Error Correction Code, ECC), welcher den Grad 
der Datenredundanzen bestimmt. Je mehr Datenredundanzen vorliegen, desto mehr Daten 
knnen bei Beschdigung des QR-Codes (z.B. Kratzer auf einem QR-Code-Sticker) 
korrigiert werden.
	Mgliche Werte:
	L (low, ~7% zerstrte Daten knnen korrigiert werden)
	M (middle, ~15% zerstrte Daten knnen korrigiert werden)
	Q (quality, ~25% zerstrte Daten knnen korrigiert werden)
	H (high, ~30% zerstrte Daten knnen korrigiert werden)
*/

$qrcecc="L";

/* Dicke eines zu zeichnenden Randes (=quiet zone, ein Randbereich ohne strende 
Elemente um Lesegerten das Lokalisieren des QR-Codes zu erleichetern), Datenelemente 
als Maeinheit. Das bedeutet, dass z.B. ein Wert von 1 dazu fhrt, dass ein Rand um 
den QR-Code gezeichnet wird, der genauso breit ist, wie ein Datenpixel/element des 
QR-Codes. Beachten Sie, dass der Rand die Farbe des Hintergrunds erhlt (welche Sie 
via bgcolor setzen knnen) und nicht zur via size angegebenen Gesamtgre dazu 
gerechnet wird. Auerdem wird der Rand zustzlich zu einer ggf. vorhanden 
margin-Angabe gezeichnet. */

$qrcqzone="3";

/*
Dicke eines zu zeichnenden Randes in Pixel. Beachten Sie, dass der Rand die Farbe 
des Hintergrunds erhlt (welche Sie via bgcolor setzen knnen) und nicht zur via 
size angegebenen Gesamtgre dazu gerechnet wird und daher auch nicht grer als 
ca. ein Drittel der size-Angabe sein darf. Auerdem wird der Rand zustzlich zu 
einer ggf. vorhanden qzone-Angabe gezeichnet.
*/
$qrcmargin="0";

/* --------- Ende der Konfiguration ----------------------------------------- */
$qrcurl=urlencode($qrcurl);
$content ="<div class=\"block align-center\">";
$content .="<img src=\"http://api.qrserver.com/v1/create-qr-code/?data=".
				$qrcurl."&amp;size=".
				$qrcsize."x".$qrcsize."&amp;color=".
				$qrccolor."&amp;bgcolor=".$qrcbgcolor."&amp;ecc=".
				$qrcecc."&amp;qzone=".$qrcqzone."&amp;margin=".$qrcmargin."\"
				alt=\"".$qrctitle."\" 
				title=\"".$qrctitle."\" 
				/>";
$content .="</div>";
?>